org.apache.solr.client.solrj.io.stream

## Class TupleStream

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.TupleStream

All Implemented Interfaces:
  Closeable, Serializable, AutoCloseable, MapSerializable, MapWriter

Direct Known Subclasses:
  CalculatorStream, CartesianProductStream, CellStream, CloudSolrStream, CommitStream, ComplementStream, DaemonStream, EchoStream, EvalStream, ExceptionStream, ExecutorStream, FacetStream, FeaturesSelectionStream, FetchStream, GatherNodesStream, GetStream, HashJoinStream, HavingStream, IntersectStream, JDBCStream, JoinStream, LetStream, ListStream, MergeStream, ModelStream, NullStream, PriorityStream, PushBackStream, RandomStream, RankStream, ReducerStream, RollupStream, ScoreNodesStream, SelectStream, ShortestPathStream, SignificantTermsStream, SolrStream, SortStream, StatsStream, TextLogitStream, TextLogitStream.TermsStream, TimeSeriesStream, TupStream, UniqueStream, UpdateStream

    public abstract class TupleStream
    extends Object
    implements Closeable, Serializable, MapWriter

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Constructor Summary

Constructors
Constructor and Description
`TupleStream()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract List<TupleStream>` `children()`
`abstract void` `close()`
`int` `getCost()`
`static List<String>` `getShards(String zkHost, String collection, StreamContext streamContext)`
`static Collection<Slice>` `getSlices(String collectionName, ZkStateReader zkStateReader, boolean checkAlias)`
`UUID` `getStreamNodeId()`
`abstract StreamComparator` `getStreamSort()`
`abstract void` `open()`
`abstract Tuple` `read()`
`abstract void` `setStreamContext(StreamContext context)`
`abstract Explanation` `toExplanation(StreamFactory factory)`
`void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`toMap`

### Constructor Detail

#### TupleStream

    public TupleStream()

### Method Detail

#### setStreamContext

    public abstract void setStreamContext(StreamContext context)

#### children

    public abstract List<TupleStream> children()

#### open

    public abstract void open()
                       throws IOException

Throws:
  `IOException`

#### close

    public abstract void close()
                        throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`

#### read

    public abstract Tuple read()
                        throws IOException

Throws:
  `IOException`

#### getStreamSort

    public abstract StreamComparator getStreamSort()

#### toExplanation

    public abstract Explanation toExplanation(StreamFactory factory)
                                       throws IOException

Throws:
  `IOException`

#### getCost

    public int getCost()

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### getStreamNodeId

    public UUID getStreamNodeId()

#### getShards

    public static List<String> getShards(String zkHost,
                                         String collection,
                                         StreamContext streamContext)
                                  throws IOException

Throws:
  `IOException`

#### getSlices

    public static Collection<Slice> getSlices(String collectionName,
                                              ZkStateReader zkStateReader,
                                              boolean checkAlias)
                                       throws IOException

Throws:
  `IOException`